Index: branches/UKMO/AMM15_v3_6_STABLE_package_collate_BGC_DA/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- branches/UKMO/AMM15_v3_6_STABLE_package_collate_BGC_DA/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 10571)
+++ branches/UKMO/AMM15_v3_6_STABLE_package_collate_BGC_DA/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 10574)
@@ -1257,18 +1257,41 @@
 &nam_asminc   !   assimilation increments                               ('key_asminc')
 !-----------------------------------------------------------------------
-    ln_bkgwri = .false.    !  Logical switch for writing out background state
-    ln_trainc = .false.    !  Logical switch for applying tracer increments
-    ln_dyninc = .false.    !  Logical switch for applying velocity increments
-    ln_sshinc = .false.    !  Logical switch for applying SSH increments
-    ln_asmdin = .false.    !  Logical switch for Direct Initialization (DI)
-    ln_asmiau = .false.    !  Logical switch for Incremental Analysis Updating (IAU)
-    nitbkg    = 0          !  Timestep of background in [0,nitend-nit000-1]
-    nitdin    = 0          !  Timestep of background for DI in [0,nitend-nit000-1]
-    nitiaustr = 1          !  Timestep of start of IAU interval in [0,nitend-nit000-1]
-    nitiaufin = 15         !  Timestep of end of IAU interval in [0,nitend-nit000-1]
-    niaufn    = 0          !  Type of IAU weighting function
-    ln_salfix = .false.    !  Logical switch for ensuring that the sa > salfixmin
-    salfixmin = -9999      !  Minimum salinity after applying the increments
-    nn_divdmp = 0          !  Number of iterations of divergence damping operator
+    ln_bkgwri      = .false. !  Logical switch for writing out background state
+    ln_balwri      = .false. !  Logical switch for writing out balancing increments
+    ln_trainc      = .false. !  Logical switch for applying tracer increments
+    ln_dyninc      = .false. !  Logical switch for applying velocity increments
+    ln_sshinc      = .false. !  Logical switch for applying SSH increments
+    ln_asmdin      = .false. !  Logical switch for Direct Initialization (DI)
+    ln_asmiau      = .false. !  Logical switch for Incremental Analysis Updating (IAU)
+    ln_phytobal    = .false. !  Logical switch for phytoplankton multivariate balancing
+    ln_slchltotinc = .false. !  Logical switch for applying slchltot increments
+    ln_slchldiainc = .false. !  Logical switch for applying slchldia increments
+    ln_slchlnoninc = .false. !  Logical switch for applying slchlnon increments
+    ln_schltotinc  = .false. !  Logical switch for applying schltot increments
+    ln_slphytotinc = .false. !  Logical switch for applying slphytot increments
+    ln_slphydiainc = .false. !  Logical switch for applying slphydia increments
+    ln_slphynoninc = .false. !  Logical switch for applying slphynon increments
+    ln_sfco2inc    = .false. !  Logical switch for applying sfCO2 increments
+    ln_spco2inc    = .false. !  Logical switch for applying spCO2 increments
+    ln_plchltotinc = .false. !  Logical switch for applying plchltot increments
+    ln_pchltotinc  = .false. !  Logical switch for applying pchltot increments
+    ln_pno3inc     = .false. !  Logical switch for applying pno3 increments
+    ln_psi4inc     = .false. !  Logical switch for applying psi4 increments
+    ln_pdicinc     = .false. !  Logical switch for applying pdic increments
+    ln_palkinc     = .false. !  Logical switch for applying palk increments
+    ln_pphinc      = .false. !  Logical switch for applying pph increments
+    ln_po2inc      = .false. !  Logical switch for applying po2 increments
+    nitbkg         = 0       !  Timestep of background in [0,nitend-nit000-1]
+    nitdin         = 0       !  Timestep of background for DI in [0,nitend-nit000-1]
+    nitiaustr      = 1       !  Timestep of start of IAU interval in [0,nitend-nit000-1]
+    nitiaufin      = 15      !  Timestep of end of IAU interval in [0,nitend-nit000-1]
+    niaufn         = 0       !  Type of IAU weighting function
+    ln_salfix      = .false. !  Logical switch for ensuring that the sa > salfixmin
+    salfixmin      = -9999   !  Minimum salinity after applying the increments
+    nn_divdmp      = 0       !  Number of iterations of divergence damping operator
+    mld_choice_bgc = 1       !  MLD criterion to use for biogeochemistry assimilation
+    rn_maxchlinc   = -999.0  !  maximum absolute non-log chlorophyll increment from ocean colour assimilation
+                             !  <= 0 implies no maximum applied (switch turned off)
+                             !   > 0 implies maximum absolute chl increment capped at this value
 /
 !-----------------------------------------------------------------------
